package com.yonge.cooleshow.biz.dal.dto;


import com.yonge.cooleshow.biz.dal.entity.BaseMessage;

public class ImNetworkControlDeviceNotifyMessage extends BaseMessage {

    private int action;
    private int type;
    private String opUserId;
    private String opUserName;

    public ImNetworkControlDeviceNotifyMessage(int action) {
        this.action = action;
    }

    public int getAction() {
        return action;
    }

    public void setAction(int action) {
        this.action = action;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(String opUserId) {
        this.opUserId = opUserId;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    @Override
    public String getObjectName() {
        return "SC:CDNMsg";
    }
}
